> For the complete documentation index, see [llms.txt](https://docs.mapakalamidad.ph/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapakalamidad.ph/routes/feeds.md).

# Feeds

Gumagamit ang MapaKalamidad ng mga data feed mula sa mga iilang third party sources. Pinapayagan ng endpoint na ito ang paglikha ng data sa system para sa mga awtorisadong gumagamit. Tandaan: Kinakailangan ang [pagpapatunay ](https://docs.petabencana.id/general/authentication)upang ma-post ang data sa pamamagitan ng /feeds endpoint.

## POST /feeds/qlue

Magdagdag ng isang ulat sa system mula sa [Qlue](https://www.qlue.co.id/). Sinusuportahan ang mga sumusnod na katangian para sa mga ulat ng Qlue:

| Katangian      | Paglalarawan                                                                   | Format                                                                | Required |
| -------------- | ------------------------------------------------------------------------------ | --------------------------------------------------------------------- | -------- |
| post\_id       | Natatanging tagatukoy ng Qlue para sa ulat                                     | Integer                                                               | Yes      |
| created\_at    | Petsa at oras ang card ay nilikha                                              | Date ([ISO 8601](http://www.iso.org/iso/home/standards/iso8601.htm))  | Yes      |
| title          | Ang Pamagat ng ulat na iniharap                                                | String                                                                | No       |
| text           | Paglalarawan ng kaganapan sa kalamidad                                         | String                                                                | No       |
| image\_url     | URL na nauugnay na imahe                                                       | String                                                                | No       |
| qlue\_city     | Mula sa aling lungsod ang nabuong ulat (dapat ay isa sa`Quezon City, Pampanga` | String                                                                | Yes      |
| disaster\_type | Anong uri ng sakuna ang naiuulat (sa kasulukuyan`baha` lamang ang suportado)   | String                                                                | Yes      |
| location       | Lugar ng heograpiya ng kaganapan ng kalamidad                                  | Lat/Long in [ESPG:4326](http://spatialreference.org/ref/epsg/wgs-84/) | Yes      |

Here is a simple call to POST a new Qlue report:

```
curl -X POST -H "X-Api-Key: API_KEY_GOES_HERE" -d '{
    "post_id":1234567802,
    "created_at":"2016-12-09T11:32:52.011Z",
    "image_url":"http://myimg",
    "qlue_city":"jabodetabek",
    "disaster_type":"flood",
    "text":"A big flood",
    "location": {
        "lat": -6.149531,
        "lng": 106.869342
    }
}' "https://data.petabencana.id/feeds/qlue"
```

Matagumpay na nagawa ang ulat:

```javascript
{
  "post_id": 1234567802,
  "created": true
}
```

Ang kahilingan ay matagumpay subalit mayroon nang ulat:

```javascript
{
  "post_id": 1234567802,
  "created": false,
  "message": "1234567802 already exists in reports table"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapakalamidad.ph/routes/feeds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
